Bug 94404 - [MAINTAINER] security/prelude-lml: update to 0.9.4
[MAINTAINER] security/prelude-lml: update to 0.9.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Renato Botelho
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 10:50 UTC by r.gruyters
Modified: 2006-03-21 11:51 UTC (History)
0 users

See Also:


Attachments
file.diff (2.70 KB, patch)
2006-03-13 10:50 UTC, r.gruyters
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description r.gruyters 2006-03-13 10:50:21 UTC
Changelog:
- Update to 0.9.4
- Added startup script
Comment 1 Renato Botelho freebsd_committer 2006-03-20 15:13:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 2 Renato Botelho freebsd_committer 2006-03-20 15:24:17 UTC
Your rc.d startup script is not accoringly Porter's Handbook. Could
you take a look ate Chapter 6.15 of Porter's Handbook at:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 3 Renato Botelho freebsd_committer 2006-03-20 15:29:33 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 r.gruyters 2006-03-21 08:15:13 UTC
Hello,

Here an update for the rc.d startup script

diff -ruN --exclude=CVS 
/usr/ports/security/prelude-lml/files/prelude-lml.sh.in
/data2/FreeBSD/custom_ports/security/prelude-lml/files/prelude-lml.sh.in
--- /usr/ports/security/prelude-lml/files/prelude-lml.sh.in     Thu Jan  1
01:00:00 1970
+++ 
/data2/FreeBSD/custom_ports/security/prelude-lml/files/prelude-lml.sh.in   Tue 
Mar 21 09:12:26 2006
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# PROVIDE: prelude_lml
+# REQUIRE: NETWORKING SERVERS
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# prelude_lml_enable (bool):   Set to NO by default.
+#                              Set it to YES to enable Prelude LML.
+# prelude_lml_flags  (flags):  Set arguments to use with Prelude LML
+#
+
+. %%RC_SUBR%%
+
+name="prelude_lml"
+rcvar=${name}_enable
+
+command=%%PREFIX%%/bin/prelude-lml
+pidfile=/var/run/prelude-lml.pid
+
+load_rc_config $name
+
+: ${prelude_lml_enable="NO"}
+: ${prelude_lml_flags:-"-d -P ${pidfile}"}
+
+run_rc_command "$1"

Regards,

Robin

Quoting Renato Botelho <garga@FreeBSD.org>:

> Your rc.d startup script is not accoringly Porter's Handbook. Could
> you take a look ate Chapter 6.15 of Porter's Handbook at:
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html
>
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <freebsd @ galle.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
>
Comment 5 r.gruyters 2006-03-21 08:25:48 UTC
Hello,

Sorry, just a small typo. Here an update:

diff -ruN --exclude=CVS 
/usr/ports/security/prelude-lml/files/prelude-lml.sh.in
/data2/FreeBSD/custom_ports/security/prelude-lml/files/prelude-lml.sh.in
--- /usr/ports/security/prelude-lml/files/prelude-lml.sh.in     Thu Jan  1
01:00:00 1970
+++ 
/data2/FreeBSD/custom_ports/security/prelude-lml/files/prelude-lml.sh.in   Tue 
Mar 21 09:23:46 2006
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# PROVIDE: prelude_lml
+# REQUIRE: NETWORKING SERVERS
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# prelude_lml_enable (bool):   Set to NO by default.
+#                              Set it to YES to enable Prelude LML.
+# prelude_lml_flags  (flags):  Set arguments to use with Prelude LML
+#
+
+. %%RC_SUBR%%
+
+name="prelude_lml"
+rcvar=${name}_enable
+
+command=%%PREFIX%%/bin/prelude-lml
+pidfile=/var/run/prelude-lml.pid
+
+load_rc_config $name
+
+: ${prelude_lml_enable="NO"}
+: ${prelude_lml_flags="-d -P ${pidfile}"}
+
+run_rc_command "$1"


Regards,

Robin

Quoting Renato Botelho <garga@FreeBSD.org>:

> Your rc.d startup script is not accoringly Porter's Handbook. Could
> you take a look ate Chapter 6.15 of Porter's Handbook at:
>
> http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/rc-scripts.html
>
> Thanks
> --
> Renato Botelho <garga @ FreeBSD.org>
>               <freebsd @ galle.com.br>
> GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
>
Comment 6 Renato Botelho freebsd_committer 2006-03-21 10:31:10 UTC
State Changed
From-To: feedback->open

Feedback recieved
Comment 7 Renato Botelho freebsd_committer 2006-03-21 11:51:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!